### Hierarchy

- LazyImg

## Index

### Properties

- alt
- el
- io
- oldSrc
- src

### Methods

- addIntersectionObserver
- componentDidLoad
- componentWillUpdate
- handleImage
- removeIntersectionObserver
- render

## Properties

### alt

alt: string

- Defined in lazy-img/lazy-img.tsx:22

### el

el: HTMLElement

- Defined in lazy-img/lazy-img.tsx:19

### io

io: IntersectionObserver

- Defined in lazy-img/lazy-img.tsx:26

### oldSrc

oldSrc: string

- Defined in lazy-img/lazy-img.tsx:24

### src

src: string

- Defined in lazy-img/lazy-img.tsx:21

## Methods

### addIntersectionObserver

- addIntersectionObserver(): void

- - Defined in lazy-img/lazy-img.tsx:47

  #### Returns void

### componentDidLoad

- componentDidLoad(): void

- - Defined in lazy-img/lazy-img.tsx:28

  #### Returns void

### componentWillUpdate

- componentWillUpdate(): void

- - Defined in lazy-img/lazy-img.tsx:32

  #### Returns void

### handleImage

- handleImage(): void

- - Defined in lazy-img/lazy-img.tsx:39

  #### Returns void

### removeIntersectionObserver

- removeIntersectionObserver(): void

- - Defined in lazy-img/lazy-img.tsx:69

  #### Returns void

### render

- render(): Element

- - Defined in lazy-img/lazy-img.tsx:76

  #### Returns Element